> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account balances

> Retrieve balances for an Account. Returns 404 if the Account does not exist.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/accounts/{id}/balances
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/accounts/{id}/balances:
    get:
      tags:
        - Accounts
      summary: Get account balances
      description: >-
        Retrieve balances for an Account. Returns 404 if the Account does not
        exist.
      operationId: BalancesController_getAccountBalances
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: List of account balances.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountBalanceEntity'
        '404':
          description: The Account with the specified id does not exist.
      security:
        - bearer: []
components:
  schemas:
    AccountBalanceEntity:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/CurrencyType'
        asset:
          nullable: true
          default: null
          allOf:
            - $ref: '#/components/schemas/AssetId'
        fiat:
          nullable: true
          default: null
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        total:
          type: string
      required:
        - type
        - asset
        - fiat
        - total
    CurrencyType:
      type: string
      enum:
        - fiat
        - asset
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````